AR# 12650

|

6.x SYNPLIFY - "ERROR:NgdBuild:604 - logical block 'comp_name' with type 'primitive' is unexpanded. Symbol 'primitive' is not supported in target 'xxx'."

描述

Keywords: XPLA, Synplify, error, 604, logical block, unexpanded, NGDBuild, Synplicity, CoolRunner, CoolRunner-II, CoolRunner II

Urgency: Hot

General Description:
After I create an EDIF netlist in Synplify for an XPLA3/CoolRunner/CoolRunner-II and port it to the 4.1i EDIF, the following error occurs:

"ERROR:NgdBuild:604 - logical block 'comp_name' with type 'primitive' is unexpanded. Symbol 'primitive' is not supported in target 'xpla3'."

(This problem affects releases 6.2.x - 7.0; it was fixed in version 7.1.)

解决方案

To avoid this problem, run Synplify in stand-alone mode, and target an XC9500 device. Create an EDIF flow project in Project Navigator, selecting the appropriate XPLA3/CoolRunner/CoolRunner-II device.
AR# 12650
日期 10/20/2005
状态 Archive
Type 综合文章
People Also Viewed